﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

body {
    overscroll-behavior-x: none;
}

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}
.btn-link {
    color: #17a2b8;
}
.btn-outline-info {
    color: #17a2b8;
    background-color: #fff;
    border-color: #17a2b8;
}
    .btn-outline-info:hover {
        color: #fff;
    }

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

/*body {
  /* Margin bottom by footer height 
  margin-bottom: 60px;
}*/
.footer {
    width: 100%;
    background-color: #333333;
    background-repeat: no-repeat;
    background-position: top;
    background-size: 100% 15px;
    padding-top: 15px;
    color: #e5e5e5;
    line-height: 2;
}

/*DataTable Css*/
.dataTables_scrollHeadInner{
    width: 100%!important;
}
    .dataTables_scrollHeadInner .table {
        width: 100% !important;
    }
.dataTables_scrollBody .table {
    width: 100% !important;
}

.nav-link{
    cursor: pointer;
}

.configure{
    position: relative;
}
    .configure .configure-menu{
        right: 0;
    }

.important-remark{
    color: red;
}
.important-remark:before{
    content: '*';
    padding-left: 5px;
    height: 100%;
    vertical-align: middle;
}
.required{
    position: relative;
}
.required:before {
    font-size: 20px;
    content: '*';
    color: red;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: -15px;
}
/* 2022-07-25 By Chike: 新功能 30 上傳附件 按鈕旁都上警語，限制上傳檔案10MB -- Start -- */ 
.filealt {
    color: red;
    font-size: 12pt;
}
/* 2022-07-25 By Chike: 新功能 30 上傳附件 按鈕旁都上警語，限制上傳檔案10MB -- End -- */

/* 2022-08-09 By Chike: 連結移過去應該要有手指頭 -- Start -- */
.noticeSignDateLink{
    cursor: pointer;
}
/* 2022-08-09 By Chike: 連結移過去應該要有手指頭 -- End -- */


/* 2022-08-15 By Chike: 0718-6 聯絡簿 國中小聯絡簿UI設計 -- Start -- */
.bg-primay-light {
    margin-right: 0 !important;
    margin-left: 0 !important;
    background-color: rgba(0, 0, 0, 0.03);
}
/* 2022-08-15 By Chike: 0718-6 聯絡簿 國中小聯絡簿UI設計 -- End -- */

/* 2022-08-15 By Chike: 0718-6 聯絡簿，增加今日表現 -- Start -- */
.bg-pink {
    background-color: #df83f5 !important;
}

/* 今日表現-編輯 -- Start -- */
#behaviorArea {
    overflow: auto;
    width: 100%;
    min-height: 200px;
}
.behaviorTable {
    table-layout: fixed;
    width: 100%;
    /*height: 80vh;*/
}
    .behaviorTable td:first-child, .behaviorTable th:first-child {
        position: sticky;
        left: 0; /* 首行永遠固定於左 */
        z-index: 1;
    }

    .behaviorTable thead tr th {
        position: sticky;
        top: 0; /* 列首永遠固定於上 */
        background-color: #a6e5fc;
        color: #000000;
    }
        .behaviorTable thead tr th:hover {
            background-color: #86d3f0 !important;
            color: #000000;
        }

    /* 2023-03-07 By Chike: 新功能 180	聯絡簿今日表現 使用者端今日表現有勾才顯示，改成兩欄三列 */
    .behaviorTable th:nth-child(1), .behaviorTable th:nth-child(2) {
        z-index: 2;
        background-color: lightblue;
    }

    .behaviorTable, .behaviorTable > th, .behaviorTable > td {
        border: none;
        border-collapse: collapse !important;
    }

        .behaviorTable .studentName {
            background-color: #a6e5fc;
            color: #000000;
        }
        .behaviorTable .studentName:hover {
            background-color: #86d3f0 !important;
            color: #000000;
        }
        .behaviorTable > tbody > tr > th {
            background-color: #a6e5fc;
            color: #000000;
        }

        .behaviorTable > tbody > tr:hover th {
            background-color: #86d3f0 !important;
            color: #000000;
        }

        .behaviorTable > tbody > tr > td, .behaviorTable > tbody > tr > th {
            text-align: center !important;
            vertical-align: middle !important;
        }
        .behaviorTable > tbody > tr > td.left, .behaviorTable > tbody > tr > th.left {
            text-align: left !important;
            vertical-align: middle !important;
        }


        .behaviorTable tr {
            border-style: solid;
            border-color: inherit;
            border-width: 0;
        }

        .behaviorTable input[type="checkbox"] {
            margin-right: 2px !important;
        }

        .behaviorTable label {
            margin-bottom: 0px !important;
        }

        .behaviorTable .behaviorTypeHeaderLabel_1{
            display: inline-block;
        }
        .behaviorTable .behaviorTypeHeaderLabel_2 {
            display: none;
        }
        @media(max-width: 991.99px) {
            .behaviorTable .studentName {
                padding-left: 0.3rem;
                white-space: nowrap;
            }

            .behaviorTable .behaviorTypeAll {
                display: block;
                margin-left: 38%;
            }
            .behaviorTable .behaviorTypeHeaderLabel_1 {
                display: none;
            }

            .behaviorTable .behaviorTypeHeaderLabel_2 {
                display: inline-block;
                white-space: nowrap;
            }

        }
/* 今日表現-編輯 -- End -- */

/* 今日表現-檢視 -- Start -- */
.BehaviorDiv {
}

    .BehaviorDiv .behaviorItem {
        border: 1px solid #dee2e6;
        text-align: center !important;
        vertical-align: middle !important;
    }

        .BehaviorDiv .behaviorItem:hover {
            background-color: rgba(0,0,0,.075) !important;
        }

        .BehaviorDiv .behaviorItem input[type="checkbox"] {
            margin-right: 2px !important;
        }

        .BehaviorDiv .behaviorItem label {
            margin-bottom: 0px !important;
        }

    .BehaviorDiv .Select {
        border: 1px solid #db95ed !important;
        background-color: #e5b2f2 !important;
        color: #050505;
    }

        .BehaviorDiv .Select:hover {
            background-color: #d395e2 !important;
            color: #291818;
        }
/* 今日表現-檢視 -- End -- */

/* 2022-08-15 By Chike: 0718-6 聯絡簿，增加今日表現 -- End -- */

/* 2022-08-15 By Chike: 班費繳費紀錄格式調整 -- Start -- */
.ClassFeeBillStudent {
}
    .ClassFeeBillStudent .studentHeader {
        background-color: #a6e5fc;
        color: #000000;
        font-weight: bold;
    }
        .ClassFeeBillStudent .studentHeader .first {
            background-color: lightblue;
        }
        .ClassFeeBillStudent .studentHeader div {
            border: 1px solid #dee2e6;
            display: flex;
            align-items: center;
            justify-content: center;
        }
    .ClassFeeBillStudent .studentName {
        background-color: #a6e5fc;
        color: #000000;
        font-weight: bold;
    }
    .ClassFeeBillStudent .student div {
        border: 1px solid #dee2e6;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .ClassFeeBillStudent .student label{
        display:inline;
        margin: 0.25rem 0px 0.25rem 0.25rem;
    }
        .ClassFeeBillStudent .student:hover {
            background-color: rgba(0,0,0,.075) !important;
        }
    .ClassFeeBillStudent .student .number {
        width: 90%;
        text-align: center;
        font-weight: bold;
    }

    .ClassFeeBillStudent .student .reason {
        width: 90%;
    }
    .ClassFeeBillStudent .student .nowPoint{
        color: red;
        font-size: 1.5rem;
        margin-left: 0.25rem;
        margin-right: 0.25rem;
        margin-bottom: 0.5rem;
    }
    /* 2022-08-15 By Chike: 班費繳費紀錄格式調整 -- End -- */
    /* 2022-08-18 By Chike: 新功能 89 聯絡簿 學習任務的考試時間太長，發布任務改以第幾節來呈現。 -- Start -- */
    .eventTiemArea {
        margin-right: 0px;
        margin-left: 0px;
    }
.event-remark {
    font-size: 0.75rem;
    color: #827b7b;
}
.modal {
    overflow-y: auto;
}
/* 2022-08-18 By Chike: 新功能 89 聯絡簿 學習任務的考試時間太長，發布任務改以第幾節來呈現。 -- End -- */
.bg-primary {
    background-color: #45AEF1 !important;
    color: #ffffff;
}

.bg-secondary {
    background-color: #e4e6ef !important;
    color: #172b4c;
}

.bg-success {
    background-color: #26C6DA !important;
    color: #ffffff;
}

.bg-info {
    background-color: #7460EE !important;
    color: #ffffff;
}

.bg-warning {
    background-color: #FFB22B !important;
    color: #ffffff;
}

.bg-danger {
    background-color: #E03656 !important;
    color: #ffffff;
}



.bg-primary-light {
    background-color: #eff7ff !important;
    color: #45AEF1;
}
.bg-secondary-light {
    background-color: #e9edf2 !important;
    color: #172b4c;
}
.bg-success-light {
    background-color: #e0fdfb !important;
    color: #26C6DA;
}
.bg-info-light {
    background-color: #f7f3ff !important;
    color: #7460EE;
}
.bg-warning-light {
    background-color: #fff8ea !important;
    color: #FFB22B;
}
.bg-danger-light {
    background-color: #fff2f3 !important;
    color: #E03656;
}

.freezeParent{
    position:relative;
}

.freezeTab {
    top: 0px;
    left: 0px;
    position: fixed;
    background-color: #fff;
    z-index: 99;
    margin-top: 0;
    min-width: 100%;
    /*width: 1172px;*/
    opacity: 0.94;
    align-items: center;
    /*border: 1px solid red;*/
}
@media (max-width: 576px){
    .tabbutton {
        padding-right:0px;
        padding-left: 0px;
    }
}
/* 2022-09-23 By Chike: 新功能 112 聯絡簿 聯絡簿內容 沒有依照訊息長度調整欄位高度 -- Start -- */ 
div.form-control {
    height: auto;
    min-height: 38px;
}
textarea.form-control {
    display: block;
    overflow: hidden;
    resize: none;
}
/* 2022-09-23 By Chike: 新功能 112 聯絡簿 聯絡簿內容 沒有依照訊息長度調整欄位高度 -- End -- */


/* 2022-12-13 By Chike: 新功能 148	所有的日期	點擊後會出現鍵盤，要直接選日期不要鍵盤(手機板) -- Start -- */
.datepicker:read-only {
    background-color: #ffffff !important;
}
/* 2022-12-13 By Chike: 新功能 148	所有的日期	點擊後會出現鍵盤，要直接選日期不要鍵盤(手機板) -- End -- */


/* 2023-01-15 By Chike: 新功能 143 問卷系統 無法得知家長填選問卷的內容，問卷只有統計，如果是參與活動的問卷的話，會不知道是那些家長要參與 -- Start -- */
.collapseBox{
    border: 1px solid #cecdcd;
    border-radius: 10px;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}

.collapseResponseBox {
    border: 1px solid #cecdcd;
    border-radius: 10px;
    margin-left: 1.25rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}
/* 2023-01-15 By Chike: 新功能 143 問卷系統 無法得知家長填選問卷的內容，問卷只有統計，如果是參與活動的問卷的話，會不知道是那些家長要參與 -- End -- */

/* 2022-08-26 By Chike: 聯絡簿UI優化，人名用藍色表示較為明顯 -- Start -- */
.namesign {
    color: #0000ff;
}
/* 2022-08-26 By Chike: 聯絡簿UI優化，人名用藍色表示較為明顯 -- End -- */


/* 2023-01-15 By Chike: 新功能 156 班務管理 後臺表格跑版了，變成超長表格 -- Start -- */
div.dataTables_wrapper div.dataTables_filter{
    margin-right: 0px !important;
}
@media only screen and (max-width: 1600px){
    div.dataTables_wrapper div.dataTables_filter {
        margin-right: 7.5rem !important;
    }
}
/* 2023-01-15 By Chike: 新功能 156 班務管理 後臺表格跑版了，變成超長表格 -- End -- */
